[POST] .../v1/pos/docsession/get
Returns cash shifts. Use this method to retrieve POS cash shifts for administration, reconciliation and support screens. The request body is required and supports filters for shift uuid, code, operating_cash_id, opening or closing users, closed state and opening or closing date ranges; selector fields. The caller must have POS administration permission; missing body, denied access, invalid filter values and persistent storage errors are returned as HTTP 200 ErrorResult business errors.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| filters | Array of Filter | Optional | Optional filters by fields available for this API method. |
Filterable Fields
| Field | Type | Description |
|---|---|---|
| closed | bool | Indicates whether the shift is closed. |
| close_date | int | |
| close_date1 | int | Shift closing date period start as Unix time in seconds. |
| close_date2 | int | Shift closing date period end as Unix time in seconds. |
| close_user | int | ID of the user who closed the shift. |
| code | string | Shift code. |
| operating_cash_id | int | IDs of cash registers that the shifts are linked to. |
| start_date | int | |
| start_date1 | int | Shift opening date period start as Unix time in seconds. |
| start_date2 | int | Shift opening date period end as Unix time in seconds. |
| start_user | int | ID of the user who opened the shift. |
| uuid | string | Shift UUID. |
Request Example
{
"filters": [
{
"Field": "closed",
"Operator": "Equal",
"Value": "string"
}
]
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Array of PosDocSession | Result object. |
Response Example
{
"ok": true,
"result": [
{
"close_amount": 1.0,
"close_date": 1,
"close_user": {
"active": true,
"address": "string",
"can_authorize": true,
"date_of_birth": "string",
"description": "string",
"email": "string",
"enable_hints": true,
"fields": [
{
"data_type": "string",
"is_custom": true,
"key": "string",
"metadata": "string",
"name": "string",
"required": true,
"value": "string"
}
],
"first_name": "string",
"full_name": "string",
"id": 1,
"internal_phone": "string",
"language_code": "string",
"last_name": "string",
"last_update": 1,
"login": "string",
"main_phone": "string",
"middle_name": "string",
"phones": "string",
"photo_url": "string",
"seller_barcode": "string",
"sex": "none",
"sub": "string",
"system": true,
"user_group": {
"child_count": 1,
"id": 1,
"last_update": 1,
"name": "string",
"parent_id": 1
}
},
"closed": true,
"code": "string",
"last_update": 1,
"operating_cash_id": 1,
"start_amount": 1.0,
"start_date": 1,
"start_user": {
"active": true,
"address": "string",
"can_authorize": true,
"date_of_birth": "string",
"description": "string",
"email": "string",
"enable_hints": true,
"fields": [
{
"data_type": "string",
"is_custom": true,
"key": "string",
"metadata": "string",
"name": "string",
"required": true,
"value": "string"
}
],
"first_name": "string",
"full_name": "string",
"id": 1,
"internal_phone": "string",
"language_code": "string",
"last_name": "string",
"last_update": 1,
"login": "string",
"main_phone": "string",
"middle_name": "string",
"phones": "string",
"photo_url": "string",
"seller_barcode": "string",
"sex": "none",
"sub": "string",
"system": true,
"user_group": {
"child_count": 1,
"id": 1,
"last_update": 1,
"name": "string",
"parent_id": 1
}
},
"uuid": "00000000-0000-0000-0000-000000000000"
}
]
}